--- title: "PATCH | Users" slug: "patch-users" updated: 2026-07-14T18:25:51Z published: 2026-07-14T18:25:51Z canonical: "docs.senhasegura.io/patch-users" stale: true --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.senhasegura.io/llms.txt > Use this file to discover all available pages before exploring further. # PATCH | Users ## Request To modify information about **Users**, send a request to the following endpoint: `PATCH /iso/scim/v2/Users:id` ## Parameters | Name | Type | Required | Description | Example | | --- | --- | --- | --- | --- | | `userName` | String | Required | The unique login identifier for the user. | `"dschrute"` | | `externalId` | String | Required | An external identifier for the user. | `"12345"` | | `name.formatted` | String | Required | The full name of the user. | `"Dwight Schrute"` | | `name.familyName` | String | Optional | The family name or last name of the user. | `"Schrute"` | | `name.givenName` | String | Optional | The given name or first name of the user. | `"Dwight"` | | `phoneNumbers.value` | String | Optional | The user's phone number. | `"+1 (555) 123-4567"` | | `emails.value` | String | Required | The user's email address. | `"dwight.schrute@theoffice.com"` | | `emails.type` | String | Optional | The category of the email address. | `"work"` | | `emails.primary` | Boolean | Optional | Indicates whether the email address is the user's primary email. | `true` | | `entitlements` | String | Optional | The user's role in the system. | `"Assistant Regional Manager"` | Attention When integrating with Microsoft Entra, the `entitlements` attribute can be dynamically populated using an expression. In this case, the mapping should be configured as: - **Mapping type:** `Expression` - **Expression:** `AssertiveAppRoleAssignmentsComplex([appRoleAssignments])` - **Target attribute:** `entitlements` - **Apply this mapping:** `Always` This configuration ensures that application role assignments from Entra are correctly mapped to the `entitlements` attribute in SCIM. ## Return Returns the updated information associated with the users. ## Response `HTTP/1.1 200 OK` ``` { "schemas":["urn:ietf:params:scim:schemas:core:2.0:User"], "id":"2819c223-7f76-453a-919d-413861904646", "externalId":"dschrute", "meta":{ "resourceType":"User", "created":"2011-08-01T21:32:44.882Z", "lastModified":"2011-08-01T21:32:44.882Z", "location": "https://example.com/v2/Users/2819c223-7f76-453a-919d-413861904646", "version":"W\/\"e180ee84f0671b1\"" }, "name":{ "familyName":"Schrute", "givenName":"Dwight" }, "userName":"dschrute" } ```